
# Lists
# -----

# Lists in R are very useful because they can contain different classes of
#  objects, even other list.

mylist <- list(trees=trees, nums=1:10, ABC=LETTERS, pi)
str(mylist)
# mylist contains different kinds of components
# The first 4 are names, 'pi' has no name

# Use $ to extract named components
mylist$nums

# Any component can be extracted with DOUBLE [[]]
mylist[[2]]
mylist[[4]]
mylist[[2]] * 2

# SINGLE [] pulls out a new LIST
( m2 <- mylist[2] )
class(m2)
# mylist[2] * 2  # Gives an error
m2$nums * 2
m2[[1]] * 2
